Package Release Info

klatexformula-4.1.0-bp154.1.81

Update Info: Base Release
Available in Package Hub : 15 SP4

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

klatexformula
klatexformula-apidoc
klatexformula-debuginfo
klatexformula-debugsource
klfbackend-devel
klftools-devel
libklfbackend4
libklfbackend4-debuginfo
libklftools4
libklftools4-debuginfo

Change Logs

* Thu Nov 26 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 4.1.0:
  * Support for PDF-based and unicode LaTeX engines pdflatex,
    xelatex and lualatex.
  * Ukrainian translation
  * Minor enhancements and bug fixes.
- Spec cleanup
- Drop obsolete patch:
  * klatexformula-4.0.0-include_QAction.patch
- Drop unneeded patch:
  * klatexformula-4.0.0-remove-uninstall-target.patch
- Add upstream patch:
  * 0001-Fix-compilation-error-with-Qt-5.15.patch
Version: 4.0.0-bp150.2.7
* Wed Jul 19 2017 badshah400@gmail.com
- Update to version 4.0.0:
  * Detailed release notes from
    https://klatexformula.sourceforge.io/doc/rel-notes-v4_0.
- Drop klatexformula-3.2.5-add-needed.patch: No longer needed.
- Rebase klatexformula-3.2.8-remove-uninstall-target.patch, and
  rename to klatexformula-4.0.0-remove-uninstall-target.patch.
- Drop Qt3 bindings, klatexformula only builds with Qt5.
- Ktexteditorplugin is not yet ported to Qt5, turn related
  package off (build_ktexteditorplugin -> 0).
- Update BuildRequires:
  * Replace Qt4 by appropriate Qt5 packages.
  * Introduce hicolor-icon-theme BR to ensure proper permissions
    for the %{_datadir}/icons/hicolor directory.
  * Drop kdelibs4: KDE libs no longer needed since ktexteditor
    no longer builds (not yet ported to Qt5).
- Rename libklftools-devel and libklfbackend-devel to
  klftools-devel and klfbackend-devel respectively to make
  the devel package names compatible with shared lib packaging
  policy. Add appropriate Obsoletes/Provides for smooth upgrade.
- Drop static libraries everywhere, and ensure header files
  are installed nevertheless (-DKLF_INSTALL_KLF*_HEADERS=ON).
- klfapp is dead, so drop the klatexformula-devel package,
  and Obsolete/Provides it from klftools-devel.
* Tue Nov 29 2016 olaf@aepfle.de
- Expand macro kde4_runtime_requires only when its available
  to fix quilt setup
* Sat Mar 12 2016 antoine.belvire@laposte.net
- Fix build on Tumbleweed (CMake error):
  * Add klatexformula-3.2.8-remove-uninstall-target.patch
* Fri Jan 31 2014 badshah400@gmail.com
- Update to version 3.2.8:
  - Fixes a bug caused by recent versions of ghostscript
* Wed Aug 07 2013 badshah400@gmail.com
- Update to version 3.2.7:
  + Fixes a bug preventing epstopdf from being executed on some
    linux systems
- Pass -DCMAKE_SKIP_RPATH=ON to cmake to fix Factory build issues.
* Wed Jun 06 2012 badshah400@gmail.com
- Update to version 3.2.6:
  + Fixes a technical issue when compiling with gcc 4.7
- Rebase klatexformula-3.2.5-add-needed.patch
- Drop patch klatexformula-gcc47.patch: fixed upstream.
* Sat Mar 24 2012 dimstar@opensuse.org
- Add klatexformula-gcc47.patch: Fix build with gcc 4.7.
* Fri Mar 23 2012 phfaist@opensuse.org
- Update to version 3.2.5
* Mon Sep 26 2011 crrodriguez@opensuse.org
- Update to version 3.2.4
  * removed unnecessary explicit -m32/-m64 build flags (should fix broken compilation on some platforms)
  * minor enhancements
- Link to libX11 as well, fixes build with no-add-needed
* Mon Feb 07 2011 phfaist@opensuse.org
- initial package
Version: 4.0.0-bp152.4.21
* Sun Oct 07 2018 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of descriptions.
- Straighten out some bumpy grammar.
* Sun Oct 07 2018 Luigi Baldoni <aloisio@gmx.com>
- Add klatexformula-4.0.0-include_QAction.patch to fix Qt 5.11
  build